Domain Registration API
POST /services/domains/v1/domains/list Auth

List Domains

Request Body

FieldTypeRequiredDescriptionExample
status string No
tld string No
search string No
expiry_date_from string No
expiry_date_to string No
per_page string No Pagination

Responses

200
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data object
data.current_page integer
data.data object[]
data.first_page_url string|null
data.from integer|null
data.last_page_url string|null
data.last_page integer
data.links object[] Generated paginator links.
data.next_page_url string|null
data.path string|null Base path for paginator generated URLs.
data.per_page integer Number of items shown per page.
data.prev_page_url string|null
data.to integer|null Number of the last item in the slice.
data.total integer Total number of items being paginated.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/domains/v1/domains/list" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "string",
    "tld": "string",
    "search": "string",
    "expiry_date_from": "string",
    "expiry_date_to": "string",
    "per_page": "string"
}'
fetch('https://api.wemasy.nl/api/services/domains/v1/domains/list', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "status": "string",
    "tld": "string",
    "search": "string",
    "expiry_date_from": "string",
    "expiry_date_to": "string",
    "per_page": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/domains/v1/domains/list', {
    "status": "string",
    "tld": "string",
    "search": "string",
    "expiry_date_from": "string",
    "expiry_date_to": "string",
    "per_page": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "status": "string",
    "tld": "string",
    "search": "string",
    "expiry_date_from": "string",
    "expiry_date_to": "string",
    "per_page": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/domains/v1/domains/list", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "message": "string",
    "data": {
        "current_page": 1,
        "data": [],
        "first_page_url": "https://api.wemasy.nl/services/domains/v1/domains/list?page=1",
        "from": 1,
        "last_page_url": "https://api.wemasy.nl/services/domains/v1/domains/list?page=3",
        "last_page": 3,
        "links": [],
        "next_page_url": "https://api.wemasy.nl/services/domains/v1/domains/list?page=2",
        "path": "https://api.wemasy.nl/services/domains/v1/domains/list",
        "per_page": 15,
        "prev_page_url": "string",
        "to": 15,
        "total": 45
    }
}

Try It
Request Body Optional

Export